Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Jan 2014 15:08:58 +0200

> Functions that I know to be problematic include:
> 
> get-text-property
> text-properties-at
> previous-single-property-change

The first two are low-level primitives that explicitly ignore the
narrowing; don't use them if you want them to be limited to the
narrowed region.  The last one should simply returns the search limit
if it hits the beginning of the narrowing, so I'm not sure why it is
in this list.

> But I would geuss the problem extends to all text property fetch/search
> functions.

That guess is wrong: functions that search for next/previous property
changes stop at the end of the narrowed region.